Bug 10564 - use OPACURLOpenInNewWindow in UNIMARCslim2OPACResults.xsl
Summary: use OPACURLOpenInNewWindow in UNIMARCslim2OPACResults.xsl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-10 09:06 UTC by Fridolin SOMERS
Modified: 2015-06-04 23:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed patch (2.52 KB, patch)
2013-07-10 09:13 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED OFF] Bug 10564 - use OPACURLOpenInNewWindow in UNIMARCslim2OPACResults.xsl (2.67 KB, patch)
2013-09-02 03:57 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 10564 - use OPACURLOpenInNewWindow in UNIMARCslim2OPACResults.xsl (2.81 KB, patch)
2013-09-08 16:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2013-07-10 09:06:16 UTC
When using UNIMARC XSLT for OPAC detail page, if record has a 856$u its content is displayed as a link. The syspref OPACURLOpenInNewWindow adds the option of opening in a new window (attribute target="_blank").
856$u is also used in UNIMARC results XSLT but the use of OPACURLOpenInNewWindow syspref is missing.
It exists for MARC21.
Comment 1 Fridolin SOMERS 2013-07-10 09:13:53 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-09-02 03:57:06 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-09-08 16:44:34 UTC
Created attachment 20882 [details] [review]
[PASSED QA] Bug 10564 - use OPACURLOpenInNewWindow in UNIMARCslim2OPACResults.xsl

When using UNIMARC XSLT for OPAC detail page, if record has a 856$u its content is displayed as a link. The syspref OPACURLOpenInNewWindow adds the option of opening in a new window (attribute target="_blank").
856$u is also used in UNIMARC results XSLT but the use of OPACURLOpenInNewWindow syspref is missing.
It exists for MARC21.

This patch adds the use of OPACURLOpenInNewWindow in UNIMARCslim2OPACResults.xsl.

Test plan :
- In a UNIMARC catalog, enable XSLT for OPAC results page
- Create a record with a link in 856$u and set second indicator to 0
- Set OPACURLOpenInNewWindow syspref on
- At OPAC, perform a search that contains the record
=> You should see the link : "Click here to access online"
- click on it
=> You shoud get to a new window (or tab depending on your browser configuration)
- Set OPACURLOpenInNewWindow syspref off
- re-perform the search
- click on the link
=> You shoud stay in same window

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Work as described, no koha-qa errors
Tested following plan after applying patch

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
XSLT change only, works as described.
To test: Catalog 856$u and $a, 2nd indicator = 0.
Comment 4 Galen Charlton 2013-09-08 19:26:54 UTC
Pushed to master.  Thanks, Fridolyn!
Comment 5 mathieu saby 2013-10-19 14:16:18 UTC
Do you know if the changes were made too in the new bootstrap opac ?

Mathieu
Comment 6 Fridolin SOMERS 2013-10-22 07:47:02 UTC
(In reply to mathieu saby from comment #5)
> Do you know if the changes were made too in the new bootstrap opac ?
No they didn't.
Must I make a follow-up ?
Comment 7 mathieu saby 2013-10-22 07:51:25 UTC
(In reply to Fridolyn SOMERS from comment #6)
> (In reply to mathieu saby from comment #5)
> > Do you know if the changes were made too in the new bootstrap opac ?
> No they didn't.
> Must I make a follow-up ?

We have now 3 themes for opac. That's a lot ;-)
I did not test boostrap opac. Does the xslt have something "special", or are they a mere copy of the xslt of old opac? If so, I suppose all changes made to old xslt should be copied to bootsrap xslt too.

Mathieu
Comment 8 Tomás Cohen Arazi 2013-11-06 14:35:11 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Fridolyn!
Comment 9 Kyle M Hall 2013-12-20 14:20:06 UTC
This patch has been pushed to 3.8.x, and will be in 3.08.20.

Thanks Fridolyn!